@charset "UTF-8";

/* ---------- base ---------- */

body {
    color: var(--black-color);
    font-size: 16px;
    font-family: "Noto Sans JP", sans-serif;
    font-family: "Comfortaa", sans-serif;
    line-height: 1.8;
    letter-spacing: 0.1em;
    background-color: #F5F5F5;
}

:root {
    /* 色管理用の変数 */
    --black-color: #333;
    --white-color: #fff;
    --gray-color: #F5F5F5;
    --primary-color:  #6D4C41;
    --hum-color: #000;
}

.section-container {
    width: 100%;
    padding: 16px;
    margin: 0 auto;
}

/* ---------- header ---------- */
.header {
    height: 72px;
    width: 100%;
    padding: 0 16px;
    display:flex;
    align-items:center;
    justify-content: space-between; 
    background: var(--primary-color);
    color: var(--white-color);
    position: sticky;
    top: 0;
    left: 0;
    z-index: 10;
}

.header-logo {
    font-weight: bold;
    font-size: 24px;
    height: 100%;
    display:flex;
    align-items:center;
    justify-content: center;
    white-space: nowrap;
    font-family: "Sacramento", cursive;
}

@media screen and (min-width: 1080px) {
    .header-logo {
        font-size: 32px;
    }
}

/* ---------- nav ---------- */
.header-nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.9); /* Adjust the background color as needed */
    display: none;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.header-nav.open {
    display: flex;
}

.header-nav_list {
    list-style-type: none;
    padding: 0;
    margin: 0;
    position: fixed;
    top: -100vh;
    left: 0;
    width: 100vw;
    height: 15%;  
}

.header-nav_item {
    background-image: linear-gradient(60deg, #29323c 0%, #485563 100%);
    transition: transform .3s ease-in-out;
    height: 100%;
    display:flex;
    align-items:center;
    justify-content: center; 
}

.header-nav_link {
    color: #fff;
    letter-spacing: 2px;
    text-decoration: none;
    text-transform: uppercase;
}

.header-nav_link:hover {
    text-decoration: underline;
}

.header-nav_item:nth-of-type(2) {
    transition-delay: .025s;
}

.header-nav_item:nth-of-type(3) {
    transition-delay: .05s;
}

.header-nav_item:nth-of-type(4) {
    transition-delay: .075s;
}

.header-nav.open .header-nav_list {
    top: 3rem;
}

@media screen and (max-width: 1080px) {
    .header-nav.open .header-nav_list {
        top: 2rem;
    }
}
/* ---------- hamburger ---------- */
.hamburger {
    margin-left: auto; /* 右端に寄せる */
    display: flex;
    flex-direction: column;
}

.hamburger.open {
    background-color:#474f57; /* ハンバーガーメニューが開いたときの背景色を設定 */
}

.hamburger:focus {
    outline: 0;
}

.hamburger-bar {
    background-color: var(--gray-color);
    display: block;
    margin: 5px auto;
    height: 2px;
    width: 32px;
    transition: all .1s ease-in;
}

.hamburger.open .hamburger-bar:nth-child(1) {
    transform: translateY(15px) rotate(45deg);
}

.hamburger.open .hamburger-bar:nth-child(2) {
    opacity: 0;
}

.hamburger.open .hamburger-bar:nth-child(3) {
    transform: translateY(-9px) rotate(-45deg);
}

/* ---------- main ---------- */
.home-section {
    position: relative; 
    width: 100%;
    text-align: center;
}

.home-section-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 5;
    color: var(--gray-color);
    padding: 24px;
}

.home-section-ttl {
    font-weight: bold;
    font-size: 1.375rem;
    white-space: nowrap;
    padding-bottom: 24px;
    font-family: "Noto Sans JP", sans-serif;
}

@media screen and (min-width: 1080px) {
    .home-section-ttl {
        font-size:2.5rem;
    }
}

.home-section-sub {
    font-weight: bold;
    white-space: nowrap;
}

@media screen and (max-width: 767px) {
    .home-section-sub {
        font-size: 0.5rem;
    }
}

@media screen and (min-width: 1080px) {
    .section-ttl {
        font-size: 48px;
        padding: 80px;
    }
}

.swiper {
    width: 100%;
}

.swiper-wrapper {
    z-index: 200;
}

/*背景画像設定*/
.slider-item01 { 
    background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)); 
}
.slider-item02 { 
    background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)); 
}
.slider-item03 { 
    background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)); 
}  

.slider-item {
    width: 100%;
    height: 100vh;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

/* 疑似要素でカバーを作成 */
.slider-item::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4); /* ここでカバーをかける */
    z-index: 2;
}

ul{
    margin:0;
    padding: 0;
    list-style: none;
}

/* ---------- menu ---------- */
.section-ttl {
    text-align: center;
    font-size: 32px;
    font-weight: bold;
    padding: 48px;
    white-space: nowrap;
}

.menu-section {
    opacity: 0;
    visibility: hidden;
    transition: all 1s;
    transform: translateY(150px);
}

.is-active {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.menu-container {
    display:flex;
    align-items:center;
    justify-content: center;
}

.menu-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

@media screen and (min-width: 1080px) {
    .menu-list {
        display: flex;
        justify-content: center;
        gap: 40px;
    }
}

.menu-img {
    width: 100%;
    z-index: -2;
}

@media screen and (min-width: 1080px) {
    .menu-img {
        width: 250px;
        height: 194px;
    }
}

.menu-name {
    display: block;
    padding: 24px;
    font-size: 24px;
    font-weight: bold;
    font-family: "Noto Sans JP", sans-serif;
}

@media screen and (min-width: 1080px) {
    .menu-item {
        margin: 0;
    }
}

.menu_img-wrapper {
    flex-direction: column;
    text-align: center;
    padding-bottom: 16px;
}

@media screen and (min-width: 1080px) {
    .menu_img-wrapper {
        gap: 16px; 
    }
}

@media screen and (min-width: 1080px) {
    .menu-name {
        font-size: 24px;
    }
}

.btn {
    display:flex;
    align-items:center;
    justify-content: center;
    padding: 32px;
}

a.back-btn {
	display: block;
	text-align: center;
	text-decoration: none;
	position: relative;
	width: 200px;
	margin: 0 auto;
	padding: 1rem 4rem;
	font-weight: bold;
	color: #326c7c;
	background: #cdc0bb;
	transition: 0.3s ease-in-out;
}

a.back-btn::before {
	content: '';
	position: absolute;
	top: -4px;
	left: -4px;
	width: calc(100% - 4px);
	height: calc(100% - 4px);
	border: 1px solid #326c7c;
	transition: 0.2s;
}

a.back-btn:hover {
	background: #506268;
	color: #fff;
}

a.back-btn:hover::before {
	top: 0;
	left: 0;
}

/* ---------- news ---------- */
.news-posts {
    padding: 0 40px;
    font-family: "Noto Sans JP", sans-serif;
}

@media screen and (min-width: 1080px) {
    .news-posts {
        padding: 0 88px;
    }
}

.post_content {
    font-size: 12px;
}

.post_thumb {
    width: 100%;
}

.post_thumb-wrapper {
    display:flex;
    align-items:center;
    justify-content: center;
}

.post_meta {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 16px;
}

.post_meta-date {
    color: #aaa;
    font-size: 12px;
    font-weight: bold;
    font-family: "Noto Sans JP", sans-serif;
}

@media screen and (min-width: 1080px) {
    .post_meta-date {
        font-size: 24px;
    }
}

.post_title {
    font-size: 16px;
}

@media screen and (min-width: 1080px) {
    .post_title {
        font-size: 24px;
    }
}

.post-sub {
    font-size: 16px;
    font-family: "Noto Sans JP", sans-serif;
}

@media screen and (min-width: 1080px) {
    .post-sub {
        font-size: 24px;
    }
}

@media screen and (min-width: 1080px) {
    .img-container {
        display:flex;
        align-items:center;
        justify-content: center;
    }
}

@media screen and (min-width: 1080px) {
    .news-img {
        width: 600px;
        height: auto;
    }
}

.news-sub {
    padding: 32px;
}

@media screen and (min-width: 1080px) {
    .news-sub {
        font-size: 24px;
    }
}

/* ---------- pagination ---------- */
.pagination {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 56px;
    gap: 8px;
    }
    
    .pagination_numbers {
    font-weight: bold;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #fff;
    }

    @media screen and (min-width: 1080px) {
        .pagination_numbers {
            width: 80px;
            height: 80px;
            }
    }
    
    .pagination_numbers__current {
    color: #fff;
    border-color: #008db7;
    background: #cdc0bb;
    }
    
    .pagination_numbers__between {
    font-size: 14px;
    border: none;
    }

    @media screen and (min-width: 1080px) {
        .pagination_numbers__between {
            font-size: 28px;
            }
    }
    
    .pagination_numbers__next {
    position: relative;
    }
    
    .pagination_numbers__next::before {
    /* contentは擬似要素に必須！ */
    content: "";
    width: 8px;
    height: 8px;
    border-top: 1px solid #333;
    border-right: 1px solid #333;
    position: absolute;
    top: 50%;
    left: 32%;
    transform: translateY(-50%) rotate(45deg);
    }

/* ---------- contact ---------- */
.contact {
    background-color: var(--main-color);
    margin-top: 56px;
    overflow: hidden
}

@media screen and (min-width: 1080px) {
    .contact {
        font-size: 40px;
    }
}

.contact-container {
    padding: 32px 16px;
    margin: 0 auto;
}

.contact-form {
    padding-bottom: 72px;
}

/* フォーム全体の設定 */
.form-body {
    max-width: 1080px;
    font-family: "Noto Sans JP", sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin: 0 auto;
}

/* 各入力欄の枠組み */
.form-unit {
    border-radius: 15px;
    display: flex;
    flex-direction: column;
    min-width: 500px;
    margin: 0 auto;
    margin-bottom: 24px;
    text-align: center;
}

@media screen and (max-width: 768px) {
    .form-unit {
        min-width: 200px;
    }
}

/* ラベルの設定 */
.form-unit-head {
    display: block;
    width: 100%;
    text-align: left;
    font-size: 18px;
    font-weight: bold;
    font-family: "Noto Sans JP", sans-serif;
}

@media screen and (min-width: 1080px) {
    .form-unit-head {
        font-size: 24px;
    }
}

/* 入力欄全体の統一 */
.form-unit-contents {
    border-radius: 15px;
    width: 100%;
    display: block;
}

/* テキスト入力欄 */
.form-input,
.form-textarea  {
    width: 100%;
    max-width: 640px; 
    font-weight: bold;
    letter-spacing: 0.1em;
    border: 1px solid #ccc;
    padding: 10px 14px; /* 統一 */
    display: block;
    box-sizing: border-box;
}

@media screen and (min-width: 1080px) {
    .form-input {
        padding: 24px;
    }
}

/* お問い合わせ（textarea） */
.form-textarea {
    height: 250px;
}


.form-submit {
    position: relative;
    display: block;
    text-align: center;
    cursor: pointer;
    transition: 0.3s ease-in-out;
    font-weight: bold;
    margin: 0 auto;
    width: 200px;
    background: #cdc0bb;
    color: #326c7c;
    padding: 1rem 4rem;
    text-decoration: none;
    margin-top: 20px; 
}


@media screen and (min-width: 1080px) {
    .form-submit {
        font-size: 24px;
    }
}

.form-submit::before {
	content: '';
	position: absolute;
	top: -4px;
	left: -4px;
	width: calc(100% - 4px);
	height: calc(100% - 4px);
	border: 1px solid #326c7c;
	transition: 0.2s;
}

.form-submit:hover {
	background: #506268;
	color: #fff;
}

.form-submit:hover::before {
	top: 0;
	left: 0;
}


/* ---------- access ---------- */
.access_iframe {
    width: 100%;
    height: auto;
    aspect-ratio: 16/9;
}

/* ---------- footer ---------- */
.footer {
    padding: 20px;
    text-align: center;
    background: var(--primary-color);
    color: var(--white-color);
}

.footer a img {
    width: 24px;
    height: auto;
    margin-left: 10px;
}